### Constructor

# Foundry InputGroup new

#### Declaration [src]

    FoundryInput*
    foundry_input_group_new (
      const char* title,
      const char* subtitle,
      FoundryInputValidator* validator,
      FoundryInput** children,
      guint n_children
    )

#### Description [src]

If `validator` is `NULL`, then all children will be validated when validation of the group is requested.

#### Parameters

`title`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtitle`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`validator`

  Type: `FoundryInputValidator`

  Optional validator.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`children`

  Type: An array of `FoundryInput*`

  No description available.

  The length of the array is specified in the `n_children` argument.
  The data is owned by the caller of the function.

`n_children`

  Type: `guint`

  No description available.

#### Return value

Type: `FoundryInput`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.